Package com.independentsoft.office.charts

# Class Legend

java.lang.Object
com.independentsoft.office.charts.Legend

public class Legend extends Object
The Class Legend.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Legend()`
  Instantiates a new legend.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Legend`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `List<LegendEntry>`
  `getEntries()`
  Gets the entries.
  `Layout`
  `getLayout()`
  Gets the layout.
  `LegendPosition`
  `getPosition()`
  Gets the position.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `boolean`
  `isOverlay()`
  Checks if is overlay.
  `void`
  `setLayout​(Layout layout)`
  Sets the layout.
  `void`
  `setOverlay​(boolean overlay)`
  Sets the overlay.
  `void`
  `setPosition​(LegendPosition position)`
  Sets the position.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Legend

    public Legend()
    Instantiates a new legend.

- ## Method Details

  - ### clone

    public Legend clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPosition

    public LegendPosition getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(LegendPosition position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getEntries

    public List<LegendEntry> getEntries()
    Gets the entries.
    Returns:
      the entries

  - ### getLayout

    public Layout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(Layout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### isOverlay

    public boolean isOverlay()
    Checks if is overlay.
    Returns:
      true, if is overlay

  - ### setOverlay

    public void setOverlay​(boolean overlay)
    Sets the overlay.
    Parameters:
      `overlay` - the new overlay

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties